$( function() {
	
	document.addEventListener("deviceready", onDeviceReady, false);
	
	function onDeviceReady() {
	    checkConnection();
		jQuery.isToken(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
		
        pictureSource=navigator.camera.PictureSourceType;
        destinationType=navigator.camera.DestinationType;
        $.support.cors = true;
        $.mobile.buttonMarkup.hoverDelay = 100;
        
		setInterval(function(){
			if ($.mobile.activePage.attr('id') == 'mailbox-recive') {
				jQuery.updateMailboxList(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),$('#more-mailbox-recive').attr('offset'));
			}
		},100000);
		
	}
	
	function checkConnection() {
	    var networkState = navigator.network.connection.type;
	
	    var states = {};
	    states[Connection.UNKNOWN]  = 'Unknown connection';
	    states[Connection.ETHERNET] = 'Ethernet connection';
	    states[Connection.WIFI]     = 'WiFi connection';
	    states[Connection.CELL_2G]  = 'Cell 2G connection';
	    states[Connection.CELL_3G]  = 'Cell 3G connection';
	    states[Connection.CELL_4G]  = 'Cell 4G connection';
	    states[Connection.NONE]     = 'No network connection';
	
	    if (states[networkState] === 'No network connection') {
	        notify('Brak połączenia internetowego.','Info');
	    }
	}
});

function checkTokenAgain(){
	checkConnection();
	jQuery.isToken(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
}


function capturePhoto(onSuccess) {
	showLoading("");
    navigator.camera.getPicture(onSuccess, onFail, { quality: 50,
        destinationType: destinationType.FILE_URI 
    	}
    );
}

function onFail(message) {
	notify("Anulowano","Info");
	hideLoading();
}

function onPhotoDataSuccess(imageData) {
    var smallImage = document.getElementById('send-msg-image');
    smallImage.style.display = 'block';
	smallImage.src = imageData;
	hideLoading();
}
function onPhotoDataSuccessQc(imageData) {
	var smallImage = document.getElementById('qc-photo');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#qc-photo').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	smallImage.src = imageData;
	$('.take-photo').hide();
	$('#photo-container').show();
	hideLoading();
}
function onPhotoDataSuccessPk(imageData) {
	var smallImage = document.getElementById('np-pk-image');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#np-pk-image').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	smallImage.src = imageData;
	hideLoading();
}
function onPhotoDataSuccessFd(imageData) {
	var smallImage = document.getElementById('np-fd-image');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#np-fd-image').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	smallImage.src = imageData;
	hideLoading();
}

function onPhotoURISuccess(imageURI) {
    var largeImage = document.getElementById('send-msg-image');
    largeImage.style.display = 'block';
    
    largeImage.src = imageURI;
    hideLoading();
}
function onPhotoURISuccessQc(imageURI) {
	var largeImage = document.getElementById('qc-photo');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#qc-photo').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	largeImage.src = imageURI;
	$('.take-photo').hide();
	$('#photo-container').show();
	hideLoading();
}
function onPhotoURISuccessPk(imageURI) {
	var largeImage = document.getElementById('np-pk-image');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#np-pk-image').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	largeImage.src = imageURI;
	hideLoading();
}
function onPhotoURISuccessFd(imageURI) {
	var largeImage = document.getElementById('np-fd-image');
	$width = $(window).width();
	$width = parseInt($width*0.9);
	$('img#np-fd-image').css({
		'max-width' : $width , 'height' : 'auto', 'margin' : 'auto', 'display' : 'block'
	});
	largeImage.src = imageURI;
	hideLoading();
}

function getPhoto(source,onSuccess) {
    showLoading("");
    navigator.camera.getPicture(onSuccess, onFail, { 
    	quality: 100, 
    	destinationType: destinationType.FILE_URI,
    	sourceType: source 
      }
    );
}

function onDone(data){
	hideLoading();
}

function hideLoading(){
	$.mobile.hidePageLoadingMsg();
}

function onError(data){
	var api_key = "9b66acc51f575122c03fae268760391d";
	
	navigator.notification.vibrate(500);
	hideLoading();
	console.log(data.msg);
    navigator.notification.alert(
		(data.err==2) ? data.msg : 'Wystąpił błąd...',
		null,
		'Błąd',
		'OK'
	);	
    var params = new Object();
    params.error = data;   
    $.ajax({
        url: "https://konsylium24.pl/mobileapi/report_error?&api_key=" + api_key,
        cache: false,
        dataType: "json",
		async: true,
		crossDomain: true, 
		data: params,
    });
}

function notify(message,title){
    navigator.notification.alert(
		message,
		null,
		title,
		'OK'
	);	
}
function showLoading(message){
    $.mobile.loadingMessageTextVisible = true;
    $.mobile.loadingMessageTheme = "b";
    $.mobile.showPageLoadingMsg("b", message);
}


function win(r) {
	//console.log("Code = " + r.responseCode);
	//console.log("Response = " + r.response);
	//console.log("Sent = " + r.bytesSent);
}

function fail(error) {
	notify("Wystąpił błąd. Spróbuj ponownie. Jeżeli problem będzie się powtarzał skontaktuj się z administratorem.","Błąd");
	//console.log("An error has occurred: Code = " + error.code);
	//console.log("upload error source " + error.source);
	//console.log("upload error target " + error.target);
	hideLoading();
} 

function showConfirm(question,callback) {
    navigator.notification.confirm(
    	question,  
    	callback,              
        'Potwierdzenie',            
        'Nie,Tak'          
    );
}



$( function() {
	
	jQuery.extend( {
		getSpecializationSelect: function(){
			$.ajax({
				url: 'file:///android_asset/www/data/specializations.json',
				cache: true,
				dataType: "json",
				async: true,
				crossDomain: true,    
				success: function(data){	
					$.each(data, function(key, val) {
						$('select.specialization').append($(document.createElement('li')).html('<option value="'+key+'">'+val+'</option>'))
					});
					$('select.specialization option').first().attr("selected","selected");
				},
				error: onError,
			});
		}
	});
});
