function prepareSettings(data){
	settings = new Object();
	settings.push = data.settings.push;
	settings.pushpw = data.settings.pushpw;
	settings.pushkwmp = data.settings.pushkwmp;
	settings.pushkwspm = data.settings.pushkwspm;
	settings.pushkwpzs = data.settings.pushkwpzs;
	settings.pushpwfo = data.settings.pushpwfo;
	settings.pushptc = data.settings.pushptc;
	settings.pushsound = data.settings.pushsound;
	settings.pushvibrate = data.settings.pushvibrate;
	return settings;
}

$(document).on("change",'#setting-push',function(){
	if($(this).val()==0){
		$('.push-settings').hide();
	} else {
		$('.push-settings').show();
	}
});

$(document).on("click",'#settings-save-button',function(){
	jQuery.setSettings(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
});


$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	
	jQuery.extend({
		initSettings: function(){
			jQuery.getSettings(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),function(data){
				settings = prepareSettings(data);
				window.localStorage.setItem("settings",settings);
				if(settings.push==1){
					$('.push-settings').show();
					$('#setting-push').val(1);
				}else{
					$('.push-settings').hide();
					$('#setting-push').val(0);
				}
				try{$('#setting-push').slider("refresh");}catch(e){}
				try{if(settings.pushpw==1){ $('#setting-push-pw').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushkwmp==1){ $('#setting-push-kwmp').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushkwspm==1){ $('#setting-push-kwspm').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushkwpzs==1){ $('#setting-push-kwpzs').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushpwfo==1){ $('#setting-push-pwfo').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushptc==1){ $('#setting-push-ptc').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushsound==1){ $('#setting-push-sound').attr("checked","checked").checkboxradio("refresh");} }catch(e){}
				try{if(settings.pushvibrate==1){ $('#setting-push-vibrate').attr("checked","checked").checkboxradio("refresh");} }catch(e){}				
			});
		}
	});
	
	jQuery.extend({
		getSettings: function(token, id, callback){
			callback = callback || function(data){data.err==0 ? window.localStorage.setItem("settings",prepareSettings(data)) : onError(data);}
			var url = 'https://konsylium24.pl/mobileapi/get_settings?token=' + token + '&id=' + id + '&api_key=' + api_key;
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: callback,
                error: onError
            }).done(onDone);
		}
	});

	jQuery.extend({
		setSettings: function(token, id){
			showLoading("Zapisywanie ustawień");
			params = new Object();
			params.push = $('#setting-push').val();
			params.pushpw = $('#setting-push-pw').prop('checked');
			params.pushkwmp = $('#setting-push-kwmp').prop('checked');
			params.pushkwspm = $('#setting-push-kwspm').prop('checked');
			params.pushkwpzs = $('#setting-push-kwpzs').prop('checked');
			params.pushpwfo = $('#setting-push-pwfo').prop('checked');
			params.pushptc = $('#setting-push-ptc').prop('checked');
			params.pushsound = $('#setting-push-sound').prop('checked');
			params.pushvibrate = $('#setting-push-vibrate').prop('checked');				
			var url = 'https://konsylium24.pl/mobileapi/set_settings?token=' + token + '&id=' + id + '&api_key=' + api_key;
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
                data: params,
				async: true,
				crossDomain: true,                    
                success: function(data){
                },
                error: onError
            }).done(onDone);			
		}
	});
});
