$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	jQuery.extend({
		getTeCount: function(token, id){
			showLoading("Pobieranie danych");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_te_count?token=' + token + '&id=' + id + '&api_key=' + api_key + '&post=' + window.localStorage.getItem("lastPostId");
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "GET",
				success: function(data){
					if(data.err == 0){
						window.localStorage.setItem("te_lek_sesja",JSON.stringify(data.lek_sesja));
						window.localStorage.setItem("te_lek_dziedzina",JSON.stringify(data.lek_dziedzina));
						window.localStorage.setItem("te_ldek_sesja",JSON.stringify(data.ldek_sesja));
						window.localStorage.setItem("te_ldek_dziedzina",JSON.stringify(data.ldek_dziedzina));
						window.localStorage.setItem("pes_spec",JSON.stringify(data.pes_spec));
						window.localStorage.setItem("all_spec",JSON.stringify(data.pes_spec));
						window.localStorage.setItem("my_spec_id",data.my_spec_id);
						window.localStorage.setItem("te_count_lek",data.lek);
						window.localStorage.setItem("te_count_ldek",data.ldek);
						window.localStorage.setItem("te_count_pes",data.pes);
					} else {
						onError(data);
					}							
				},
				error: onError
			}).done(onDone);
		}
	});
	jQuery.extend({
		setSesjaSelect: function(target,loadSelect){
			loadSelect = loadSelect || false;
			if(loadSelect){
				var select = $('#'+target+'_select_sesja');
				select.html("");
				$.each(JSON.parse(window.localStorage.getItem("te_"+target+"_sesja")),function(key,val){
					$.each(val,function(k,v){
						select.append($(document.createElement('option')).html(v.te_sesja+' '+v.te_rok).attr('value',v.te_sesja+'_'+v.te_rok));
					});
				});
				try{
					select.selectmenu('refresh', true);
				}catch(e){}
			}
			$('#'+target+'_select_sesja_wrapper').show();
			$('#'+target+'_select_dziedzina_wrapper').hide();
		}
	});
	jQuery.extend({
		setDziedzinaSelect: function(target,loadSelect){
			loadSelect = loadSelect || false;
			if(loadSelect){
				var select = $('#'+target+'_select_dziedzina');
				select.html("");
				$.each(JSON.parse(window.localStorage.getItem("te_"+target+"_dziedzina")),function(key,val){
					$.each(val,function(k,v){
						select.append($(document.createElement('option')).html(v.nazwa).attr('value',v.id));
					});
				});
				try{
					select.selectmenu('refresh', true);
				}catch(e){}
			}
			$('#'+target+'_select_dziedzina_wrapper').show();
			$('#'+target+'_select_sesja_wrapper').hide();
		}
	});
	jQuery.extend({
		setPesSpecSelect: function(target,loadSelect){
			loadSelect = loadSelect || false;
			if(loadSelect){
				var select = $('#'+target+'_select_spec');
				select.html("");
				$.each(JSON.parse(window.localStorage.getItem(target+"_spec")),function(key,val){
					$.each(val,function(k,v){
						select.append($(document.createElement('option')).html(v.name).attr('value',v.id));
					});
				});
				if(window.localStorage.getItem("my_spec_id")!=1000){
					$('#'+target+'_select_spec option[value='+window.localStorage.getItem("my_spec_id")+']').attr('selected', 'selected')
				}
				try{
					select.selectmenu('refresh', true);
				}catch(e){}
			}
			$('#'+target+'_select_dziedzina_wrapper').show();
			$('#'+target+'_select_sesja_wrapper').hide();
		}
	});
	jQuery.extend({
		setAllSpecSelect: function(target,loadSelect){
			loadSelect = loadSelect || false;
			if(loadSelect){
				var select = $('#'+target+'_select_spec');
				select.html("");
				$.each(JSON.parse(window.localStorage.getItem(target+"_spec")),function(key,val){
					$.each(val,function(k,v){
						select.append($(document.createElement('option')).html(v.name).attr('value',v.id));
					});
				});
				try{
					select.selectmenu('refresh', true);
				}catch(e){}
			}
			$('#'+target+'_select_spec_wrapper').show();
		}
	});
	jQuery.extend({
		getPytanieDnia: function(token, id, answer_id ){
			showLoading("Ładowanie");
			if(answer_id!=0){
				answer_id = answer_id || false;
			}
			if(answer_id===false){
				var scriptUrl = 'http://konsylium24.pl/mobileapi/get_pytanie_dnia?token=' + token + '&id=' + id + '&api_key=' + api_key;
			}else{
				var scriptUrl = 'http://konsylium24.pl/mobileapi/get_pytanie_dnia?token=' + token + '&id=' + id + '&api_key=' + api_key + '&answer_id='+answer_id;
			}
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,  
				success: function(data){
					if(data.err == 0){
						if(data.tepost.odpowiedzial == 1){
							window.localStorage.setItem("pytanie_dnia_odpowiedzial",true);
							window.localStorage.setItem("lastPostId",data.tepost.id);
							window.localStorage.setItem("lastTeTestPostId",data.tepost.id);
							window.localStorage.setItem("lastTePostId",data.tepost.id);
							window.localStorage.setItem("lastTeIsPytanieDnia",true);
							$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('pytanieDniaId',data.tepost.id);
							var comments = $('#te-pytanie-dnia-odpowiedz-page-wrapper ul#te-pytanie-dnia-comments');
							comments.empty();
							if(0<data.tepost.photos.length){
								var photos = $('#te-pytanie-dnia-odpowiedz-page-wrapper ul.pytanie-dnia-photos');
								photos.empty();
								$.each(data.tepost.photos, function(key,val){
									photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
								});     
								try{
									photos.listview("refresh");			
								} catch(e){}								
							}							
							$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').empty();
							$.each(data.answers,function(key,val){
								$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc+' <span class="procent">'+val.procent+'&nbsp;%</span>').attr('for','pytanie_dnia_answer_id_'+val.id));
								if(val.correct == 1){
									if(val.checked == 1){	
										$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('checked','checked').attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','a'));
									} else {
										$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','a'));
									}								
								} else {
									if(val.checked == 1){	
										$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('checked','checked').attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','d'));
									} else {
										$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','d'));
									}										
								}
							});
							if(0<data.tepost.comments.length){
								comments.append($(document.createElement('li')).html("Komentarze <span class='comments-count'>("+data.tepost.comments_count+")</span><a id='add-te-pytanie-dnia-comment'>dodaj komentarz</a>").addClass('divider ui-listview ui-listview-inset ui-corner-all ui-shadow').attr('data-role','list-divider').attr('role', 'heading').attr('data-theme', 'c'));
							} else {
								comments.append($(document.createElement('li')).html("Komentarze <span class='comments-count'>(0)</span><a id='add-te-pytanie-dnia-comment'>dodaj komentarz</a>").addClass('divider ui-listview ui-listview-inset ui-corner-all ui-shadow').attr('data-role','list-divider').attr('role', 'heading').attr('data-theme', 'c'));
							}
							
		    				$.each(data.tepost.comments, function(key,val){
		    					nowy_comment = "";
								comments.append($(document.createElement('li')).html(jQuery.commentHtml(val)).addClass('element'+comment_u+nowy_comment).attr('id', 'comment_'+val.comment.id).attr('u',val.comment.u).attr('commentId', val.comment.id).attr('data-theme','d'));
							});	
							try{
								comments.listview("refresh");			
							} catch(e){}		    				
							try{
								$('#te-pytanie-dnia-odpowiedz-page-wrapper .te-pytanie').trigger("create");
							}catch(e){
							}						
							$.mobile.changePage("#te-pytanie-dnia-odpowiedz-page", { transition: "slide"});
						} else {
							window.localStorage.setItem("pytanie_dnia_odpowiedzial",false);
							$('#te-pytanie-dnia-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('pytanieDniaId',data.tepost.id);
							if(0<data.tepost.photos.length){
								var photos = $('#te-pytanie-dnia-page-wrapper ul.pytanie-dnia-photos');
								photos.empty();
								$.each(data.tepost.photos, function(key,val){
									photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
								});     
								try{
									photos.listview("refresh");			
								} catch(e){}								
							}
							$('#te-pytanie-dnia-page-wrapper .te-pytanie fieldset').empty();
							$.each(data.answers,function(key,val){
								$('#te-pytanie-dnia-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc).attr('for','pytanie_dnia_answer_id_'+val.id));
								$('#te-pytanie-dnia-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','d'));
							});
							try{
								$('#te-pytanie-dnia-page-wrapper .te-pytanie').trigger("create");
							}catch(e){
							}				
	        				$.mobile.changePage("#te-pytanie-dnia-page", { transition: "slide"});		
						}
					} else {
						onError(data);
					}
				},	
				error: onError,
			}).done(onDone);
		}
	});
	jQuery.extend({
		generujTest: function(token, id, type_id){
			showLoading("Generowanie testu");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/te_generuj?token=' + token + '&id=' + id + '&api_key=' + api_key;
			if(type_id==1){
				var params = {
						te_type_id: 1,
						trudne: $('#te-test-lek-page-wrapper input[name=lek-poziom-1]').is(':checked') ? 1 : 0,
						srednie: $('#te-test-lek-page-wrapper input[name=lek-poziom-2]').is(':checked') ? 1 : 0,
						latwe: $('#te-test-lek-page-wrapper input[name=lek-poziom-3]').is(':checked') ? 1 : 0,
						filtro: $('#te-test-lek-page-wrapper input[name=lek-type]:checked').val(),
						sesja_full: $('#te-test-lek-page-wrapper select[name=lek_select_sesja]').val(),
						te_topic_id: $('#te-test-lek-page-wrapper select[name=lek_select_dziedzina]').val(),
				}
				var sc = "";
			} else if(type_id==2){
				var params = {
						te_type_id: 2,
						trudne: $('#te-test-ldek-page-wrapper input[name=ldek-poziom-1]').is(':checked') ? 1 : 0,
						srednie: $('#te-test-ldek-page-wrapper input[name=ldek-poziom-2]').is(':checked') ? 1 : 0,
						latwe: $('#te-test-ldek-page-wrapper input[name=ldek-poziom-3]').is(':checked') ? 1 : 0,
						filtro: $('#te-test-ldek-page-wrapper input[name=ldek-type]:checked').val(),
						sesja_full: $('#te-test-ldek-page-wrapper select[name=ldek_select_sesja]').val(),
						te_topic_id: $('#te-test-ldek-page-wrapper select[name=ldek_select_dziedzina]').val(),
				}
				var sc = "";
			} else if(type_id==3){
				var params = {
						te_type_id: 3,
						trudne: $('#te-test-pes-page-wrapper input[name=pes-poziom-1]').is(':checked') ? 1 : 0,
						srednie: $('#te-test-pes-page-wrapper input[name=pes-poziom-2]').is(':checked') ? 1 : 0,
						latwe: $('#te-test-pes-page-wrapper input[name=pes-poziom-3]').is(':checked') ? 1 : 0,						
				}
				var sc = $('#te-test-pes-page-wrapper select[name=pes_select_spec]').val();
			} else if(type_id==5){
				var params = {
						te_type_id: 5,
						filtro: $('#te-test-all-page-wrapper input[name=all-type]').val(),
						trudne: $('#te-test-all-page-wrapper input[name=all-poziom-1]').is(':checked') ? 1 : 0,
						srednie: $('#te-test-all-page-wrapper input[name=all-poziom-2]').is(':checked') ? 1 : 0,
						latwe: $('#te-test-all-page-wrapper input[name=all-poziom-3]').is(':checked') ? 1 : 0,							
				}
				var sc = $('#te-test-all-page-wrapper select[name=all_select_spec]').val();
			}
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "POST",
				data: {
					te_test: params,
					sc: sc,
				},
				success: function(data){
					if(data.err == 0){
						window.localStorage.setItem("lastTeTestId",data.tetest_id);
						window.localStorage.setItem("lastTeTestPostId",data.tetestpost_id);
						window.localStorage.setItem("lastPostId",data.tepost.id);
						window.localStorage.setItem("lastTePostId",data.tepost.id);
						window.localStorage.setItem("lastTeIsPytanieDnia",false);
						$('#te-post-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('pytanieDniaId',data.tepost.id);
						$('#te-post-page-wrapper .te-pytanie span.te_order').html(data.order);
						if(0<data.tepost.photos.length){
							var photos = $('#te-post-page-wrapper ul.te-post-photos');
							photos.empty();
							$.each(data.tepost.photos, function(key,val){
								photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
							});     
							try{
								photos.listview("refresh");			
							} catch(e){}								
						}
						$('#te-post-page-wrapper .te-pytanie fieldset').empty();
						$.each(data.tepost.answers,function(key,val){
							$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc).attr('for','te_post_answer_id_'+val.id));
							$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','te_post_answer_id').attr('value',val.id).attr('id','te_post_answer_id_'+val.id).attr('data-theme','d'));
						});
						try{
							$('#te-post-page-wrapper .te-pytanie').trigger("create");
						}catch(e){
						}				
        				$.mobile.changePage("#te-post-page", { transition: "slide"});		
					}else{
						onError(data);
					}			
				},	
				error: onError
			}).done(onDone);			
		}
	});
	jQuery.extend({
		testAnswer: function(token, id, answer_id){
			showLoading("Pobieranie odpowiedzi");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_answers?token=' + token + '&id=' + id + '&api_key=' + api_key;
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "POST",
				data: {
					answer_id: answer_id,
					pid: window.localStorage.getItem("lastTeTestPostId"),
					test_id: window.localStorage.getItem("lastTeTestId"),
				},
				success: function(data){
					if(data.err == 0){	
						$('#te-post-odpowiedz-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('tePostId',data.tepost.id);
						$('#te-post-odpowiedz-page-wrapper .te-pytanie span.te_order').html(data.order);
						var comments = $('#te-post-odpowiedz-page-wrapper ul#te-post-comments');
						comments.empty();
						if(0<data.tepost.photos.length){
							var photos = $('#te-post-odpowiedz-page-wrapper ul.te-post-photos');
							photos.empty();
							$.each(data.tepost.photos, function(key,val){
								photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
							});     
							try{
								photos.listview("refresh");			
							} catch(e){}								
						}							
						$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').empty();
						$.each(data.tepost.answers,function(key,val){
							$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc+' <span class="procent">'+val.procent+'&nbsp;%</span>').attr('for','pytanie_dnia_answer_id_'+val.id));
							if(val.correct == 1){
								if(val.checked == 1){	
									$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('checked','checked').attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','a'));
								} else {
									$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','a'));
								}								
							} else {
								if(val.checked == 1){	
									$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('checked','checked').attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','d'));
								} else {
									$('#te-post-odpowiedz-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','pytanie_dnia_answer_id').attr('value',val.id).attr('id','pytanie_dnia_answer_id_'+val.id).attr('data-theme','d'));
								}										
							}
						});
						if(0<data.tepost.comments.length){
							comments.append($(document.createElement('li')).html("Komentarze <span class='comments-count'>("+data.tepost.comments_count+")</span><a id='add-te-pytanie-dnia-comment'>dodaj komentarz</a>").addClass('divider ui-listview ui-listview-inset ui-corner-all ui-shadow').attr('data-role','list-divider').attr('role', 'heading').attr('data-theme', 'c'));
						} else {
							comments.append($(document.createElement('li')).html("Komentarze <span class='comments-count'>(0)</span><a id='add-te-pytanie-dnia-comment'>dodaj komentarz</a>").addClass('divider ui-listview ui-listview-inset ui-corner-all ui-shadow').attr('data-role','list-divider').attr('role', 'heading').attr('data-theme', 'c'));
						}
						
	    				$.each(data.tepost.comments, function(key,val){
	    					nowy_comment = "";
							comments.append($(document.createElement('li')).html(jQuery.commentHtml(val)).addClass('element'+comment_u+nowy_comment).attr('id', 'comment_'+val.comment.id).attr('u',val.comment.u).attr('commentId', val.comment.id).attr('data-theme','d'));
						});	
						try{
							comments.listview("refresh");			
						} catch(e){}		    				
						try{
							$('#te-post-odpowiedz-page-wrapper .te-pytanie').trigger("create");
						}catch(e){
						}						
						$.mobile.changePage("#te-post-odpowiedz-page", { transition: "slide"});						
					}else{
						onError(data);
					}			
				},	
				error: onError
			}).done(onDone);				
		}
	});
	jQuery.extend({
		nextTePost: function(token, id){	
			showLoading("Pobieranie pytania");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_pytanie?token=' + token + '&id=' + id + '&api_key=' + api_key;
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "POST",
				data: {
					test_id: window.localStorage.getItem("lastTeTestId"),
				},
				success: function(data){
					if(data.err == 0){	
						if(data.podsumowanie==1){
							window.localStorage.setItem("lastTeTestId",data.tetest_id);
							jQuery.getSummary(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
						} else {
							window.localStorage.setItem("lastTeTestId",data.tetest_id);
							window.localStorage.setItem("lastTeTestPostId",data.tetestpost_id);
							window.localStorage.setItem("lastTePostId",data.tepost.id);
							window.localStorage.setItem("lastPostId",data.tepost.id);
							$('#te-post-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('pytanieDniaId',data.tepost.id);
							$('#te-post-page-wrapper .te-pytanie span.te_order').html(data.order);
							if(0<data.tepost.photos.length){
								var photos = $('#te-post-page-wrapper ul.te-post-photos');
								photos.empty();
								$.each(data.tepost.photos, function(key,val){
									photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
								});     
								try{
									photos.listview("refresh");			
								} catch(e){}								
							}
							$('#te-post-page-wrapper .te-pytanie fieldset').empty();
							$.each(data.tepost.answers,function(key,val){
								$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc).attr('for','te_post_answer_id_'+val.id));
								$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','te_post_answer_id').attr('value',val.id).attr('id','te_post_answer_id_'+val.id).attr('data-theme','d'));
							});
							try{
								$('#te-post-page-wrapper .te-pytanie').trigger("create");
							}catch(e){
							}				
	        				$.mobile.changePage("#te-post-page", { transition: "slide"});
						}
					}else{
						onError(data);
					}			
				},	
				error: onError
			}).done(onDone);				
		}
	});			
	jQuery.extend({
		continueLastTest: function(token, id, te_type_id){	
			showLoading("Pobieranie pytania");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_last_test?token=' + token + '&id=' + id + '&api_key=' + api_key;
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "POST",
				data: {
					te_type_id: te_type_id
				},
				success: function(data){
					if(data.err == 0){		
						if(data.podsumowanie==1){
							window.localStorage.setItem("lastTeTestId",data.tetest_id);
							jQuery.getSummary(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
						} else {
							window.localStorage.setItem("lastTeTestId",data.tetest_id);
							window.localStorage.setItem("lastPostId",data.tepost.id);
							window.localStorage.setItem("lastTeTestPostId",data.tetestpost_id);
							window.localStorage.setItem("lastTePostId",data.tepost.id);
							$('#te-post-page-wrapper .te-pytanie p').html(data.tepost.tresc).attr('pytanieDniaId',data.tepost.id);
							$('#te-post-page-wrapper .te-pytanie span.te_order').html(data.order);
							if(0<data.tepost.photos.length){
								var photos = $('#te-post-page-wrapper ul.te-post-photos');
								photos.empty();
								$.each(data.tepost.photos, function(key,val){
									photos.append('<a target="_blank" href="http://konsylium24.pl' + val.public_big + '"><img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" /></a>');
								});     
								try{
									photos.listview("refresh");			
								} catch(e){}								
							}
							$('#te-post-page-wrapper .te-pytanie fieldset').empty();
							$.each(data.tepost.answers,function(key,val){
								$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('label')).html(val.i+') '+val.tresc).attr('for','te_post_answer_id_'+val.id));
								$('#te-post-page-wrapper .te-pytanie fieldset').append($(document.createElement('input')).attr('type','radio').attr('name','te_post_answer_id').attr('value',val.id).attr('id','te_post_answer_id_'+val.id).attr('data-theme','d'));
							});
							try{
								$('#te-post-page-wrapper .te-pytanie').trigger("create");
							}catch(e){
							}				
							$.mobile.changePage("#te-post-page", { transition: "slide"});
						}
					}else{
						onError(data);
					}			
				},	
				error: onError
			}).done(onDone);				
		}
	});			
	jQuery.extend({
		getSummary: function(token, id){	
			showLoading("Generowanie podsumowania");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_test_summary?token=' + token + '&id=' + id + '&api_key=' + api_key;
			$.ajax({				
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "POST",
				data: {
					test_id: window.localStorage.getItem("lastTeTestId")
				},
				success: function(data){
					if(data.err == 0){				
						$('#te-summary-page-wrapper h3').html(data.header);
						var summary = $('#te-summary-page-wrapper #summary-table tbody');
						summary.html("");
						if(0<data.summary.length){
							$.each(data.summary, function(key,val){
								summary.append('<tr><td>'+val.nazwa+'</td><td>'+val.ile+'</td><td>'+val.poprawnych+'%</td></tr>');
							});   
							try{
								$('#te-summary-page-wrapper').trigger("create");
							}catch(e){
							}		
							$('#te-summary-page-wrapper #summary-table').show();
						} else {
							$('#te-summary-page-wrapper #summary-table').hide();
						}
						$.mobile.changePage("#te-summary-page", { transition: "slide"});		
					}else{
						onError(data);
					}			
				},	
				error: onError
			}).done(onDone);				
		}
	});			
});