$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	
	jQuery.extend( {
		getJsonResults: function(url){
			var result = null;
			var scriptUrl = url;
			$.ajax({
			   url: scriptUrl,
			   type: 'get',
			   dataType: 'json',
			   async: true,
			   crossDomain: true,
			   success: function(data) {
			       result = data;
			   },
			   error: function(data){
			   },
			   complete: function(jqXHR, textStatus){
			   }
			});
			return result;
		}
	});	
	
	jQuery.fn.validate = function(errorMsg) {
		var args = arguments[0] || {};
		if(!$(this).val()){
			$(this).css('border','solid red 1px');
			var list = $('#error-list');
			list.append($(document.createElement('li')).html(args));
			list.listview("destroy").listview();
			return false;
		} else {
			return true;
		}
	};	
	
	jQuery.extend( {
	    isToken: function(token,id) { 
	    	var result = false;
            $.ajax({
                url: 'https://konsylium24.pl/mobileapi/check_token?kompendium=2&token=' + token + '&id=' + id + '&api_key=' + api_key,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
        	    	if(data.err == 0){
        	    		$('#continue-session').click();
        			} else {
        				window.localStorage.clear();
        				$.mobile.changePage("#page-login-panel");
        			}
                },
        		error: function(){
        			$('#check-internet-connection').show();
        		}
            }).done(onDone);
	    }	
	});	
	jQuery.extend( {
		authenticate: function(usr,pass) { 
			if(usr && pass) {
                $.ajax({
                    url: 'https://konsylium24.pl/mobileapi/authenticate?kompendium=1&usr=' + $('#usr').val() + '&pass=' + $('#pass').val() + '&api_key=' + api_key,
                    cache: false,
                    dataType: "json",
					async: true,
					crossDomain: true,                    
                    success: function(data){
    					if(data.err == 0){
    						window.localStorage.clear();
    						window.localStorage.setItem("authtoken", data.token);
    						window.localStorage.setItem("id", data.id);
    						//jQuery.initSettings();
    						jQuery.getAlert(data.token,data.id);
    						$.mobile.changePage("#home-page");
    						//jQuery.getAktualneList(data.token,data.id,0)
    					} else {
    						var list = $('#error-list');
    						list.append($(document.createElement('li')).html(data.msg));
    						list.listview("destroy").listview();	
    						navigator.notification.vibrate(500);
    					}                    	
                    },
                    error: onError
                  });
			} else {
				navigator.notification.vibrate(500);
			}
		}	
	});	
});