$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";

	jQuery.extend({
		getAvatar: function(token, id){
			showLoading("");		
		    var url = 'https://konsylium24.pl/mobileapi/get_avatar?token=' + token + '&id=' + id + '&api_key=' + api_key;
		    $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,  
                success: function(data){
                	if(parseInt(data.err)==0){
                		$('img#avatar-photo').attr('src',data.avatar);
                		$('#avatar-default-wrapper').show();
                		$('#avatar-confirm-wrapper').hide();
                		$.mobile.changePage("#avatar-page");
                	} else {
                		onError(data);
	            	}
	            },
	            error: onError
		    }).done(onDone);
		}
	});
	
	jQuery.extend({
		addAvatar: function(token, id){
			showLoading("");		
		    var url = 'https://konsylium24.pl/mobileapi/add_avatar?token=' + token + '&id=' + id + '&api_key=' + api_key;
		    var imageURI = $('#avatar-photo').attr("src");
		
	        var params = new Object();
	        
	        try{
            	if(imageURI.length==0 || imageURI=="" || imageURI==false || imageURI=="false"){
            		throw new Error("Image empty");
            	}
	        	
		        var options = new FileUploadOptions();
		        options.params = params;
		
		        options.fileKey="file";
		        options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
		        options.mimeType="image/jpeg";
		        options.chunkedMode = false;	
	        
	        	var ft = new FileTransfer();
		        ft.upload(imageURI, encodeURI(url), function(data){
		        	d = JSON.parse(data.response);
		        	if(parseInt(d.err)==0){
                		$('img#avatar-photo').attr('src',d.avatar);
                		$('#avatar-default-wrapper').show();
                		$('#avatar-confirm-wrapper').hide();                		
                		notify("Twój avatar został zmieniony.","Potwierdzenie");
		        	} else {
		        		onError(d);
		        	}
		        	hideLoading();
		        }, fail,options,true);
	        } catch(e){
	        	notify("Nie wybrałeś zdjęcia.","Błąd");
	        }
		}
	});
	
	$(document).on("click",'#add-avatar-btn',function(){
		jQuery.addAvatar(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
	});

	$(document).on("click",'#add-avatar-cancel-btn',function(){
		jQuery.getAvatar(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
	});
});