$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	jQuery.extend({
		getLekiList: function(letter){
				    var newDate = new Date;
				    showLoading("Pobieranie leków");
			    	var url = 'http://lekseek.com/konsylium/api/?q=1a&t=' + letter;
	    			$.ajax({
		                url: url,
		                cache: false,
		                dataType: "json",
						async: true,
						crossDomain: true,                    
		                success: function(data){
		        			if(data.err == 0){
		        				var list = $('#leki-list-page-wrapper ul.leki-list ');
		        				list.empty();
		        				if(data.grupylekow.length!=0){
			        				$.each(data.grupylekow, function(key,val){
			        					$.each(val, function(k,v){
			        						list.append($(document.createElement('li')).html('<a class="post" grupaLekowId="' + k + '"><p class="title">' +jQuery.truncate(v) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','grupa_lekow_'+k));
			        					});
		        					});
		        				}
		        				try{
		        					list.listview("refresh");
		        				}catch(a){}
		        			} else {
		        				notify("Nie można załadować leków. Spróbuj ponownie","Błąd");
		        			}
		                },
		                error: onError
		            }).done(onDone);
				}
		});
	jQuery.extend({
		getGrupaLekowList: function(grupaLekowId,target){
			target = target || "#grupa-list-page";
		    var newDate = new Date;
		    showLoading("Pobieranie leków");
	    	var url = 'http://lekseek.com/konsylium/api/?q=2a&id=' + grupaLekowId;
			$.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
        			if(data.err == 0){
        				var list = $(target+' ul.leki-list ');
        				var cena = "";
        				list.empty();
        				if(data.leki.length!=0){
	        				$.each(data.leki, function(key,val){
	        					$.each(val, function(ke,va){
	        					list.append($(document.createElement('li')).html(ke).addClass("element").attr('data-theme','d'));
		        					$.each(va, function(k,v){
		        						$.each(v, function(k1,v1){
		        							cena = "";
		        							$.each(v1.ceny, function(k2,v2){
		        								cena = v2.cena+" ("+v2.odplatnosc+"), ";
		        							});
		        							console.log(cena);
		        							list.append($(document.createElement('li')).html('<a class="post" lekId="' + v1.id + '"><p class="title">' +jQuery.truncate(v1.nazwa) + '</p><p>'+v1.postac+', '+v1.opakowanie+', '+v1.dawka+'</p><p><strong>Odpłatności: </strong>'+cena+'</p></a>').addClass("element").attr('data-theme','d').attr('id','lek_'+v1.id));
		        						});
		        					});
	        					});
        					});
        				}
        				try{
        					list.listview("refresh");
        				}catch(a){}
        				$.mobile.changePage(target, { transition: "slide"});
        			} else {
        				notify("Nie można załadować leków. Spróbuj ponownie","Błąd");
        			}
                },
                error: onError
            }).done(onDone);
		}
	});	
	jQuery.extend({
		getLek: function(lekId){
		    var newDate = new Date;
		    showLoading("Pobieranie leków");
	    	var url = 'http://lekseek.com/konsylium/api/?q=3&id=' + lekId;
			$.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
        			if(data.err == 0){
        				var list = $('#lek-page ul.leki-list ');
        				list.empty();
        				if(data.lek.length!=0){
	        				$.each(data.lek, function(key,val){        				
	        					$('#LekName').html(val.nazwa);
	        					$('#LekNameCeny').html(val.nazwa);
	        					$('#LekNameZamienniki').html(val.nazwa);
	        					$('#lek-page-wrapper').html("");
	        					$('#lek-ceny-page-wrapper').html("");
	        					var opis = val.opis.replace('Dawkowanie:', '<br/><strong>Dawkowanie:</strong>');
	        					opis = opis.replace('Wskazania:', '<br/><strong>Wskazania:</strong>');
	        					opis = opis.replace('Uwagi:', '<br/><strong>Uwagi:</strong>');
	        					opis = opis.replace('Ostrzeżenia specjalne / Środki ostrożności:', '<br/><strong>Ostrzeżenia specjalne / Środki ostrożności:</strong>');
	        					opis = opis.replace('Interakcje:', '<br/><strong>Interakcje:</strong>');
	        					opis = opis.replace('Ciąża i laktacja:', '<br/><strong>Ciąża i laktacja:</strong>');
	        					opis = opis.replace('Działanie:', '<br/><strong>Działanie:</strong>');
	        					opis = opis.replace('Skład:', '<br/><strong>Skład:</strong>');
	        					opis = opis.replace('Przedawkowanie:', '<br/><strong>Przedawkowanie:</strong>');
	        					$('#lek-page-wrapper').append($(document.createElement('h3')).html(val.nazwa+' '+val.postac+' '+val.dawka));
	        					$('#lek-ceny-page-wrapper').append($(document.createElement('h3')).html(val.nazwa+' '+val.postac+' '+val.dawka));
	        					$('#lek-page-wrapper').append($(document.createElement('p')).html('<strong>Substancje czynne:</strong>'));
	        					$('#lek-ceny-page-wrapper').append($(document.createElement('p')).html('<strong>Substancje czynne:</strong>'));
	        					var substancja_zlozona = false;
	        					$.each(val.substance_czynne, function(k,v){
	        						if(v.id==993){
	        							substancja_zlozona = true;
	        						}
	        						$('#lek-page-wrapper').append($(document.createElement('p')).html(v.nazwa).addClass('substance_czynna').attr('substanceCzynnaId',v.id));
	        						$('#lek-ceny-page-wrapper').append($(document.createElement('p')).html(v.nazwa).addClass('substance_czynna').attr('substanceCzynnaId',v.id));
	        					});
        						if(substancja_zlozona){
        							$('#lek-page .lek-zamienniki').hide();
        						} else {
        							$('#lek-page .lek-zamienniki').show();
        						}	        					
	        					$('#lek-page-wrapper').append($(document.createElement('p')).html("<strong>Zawartość opakowania:</strong>&nbsp;" + val.opakowanie+'&nbsp;'+val.postac));
	        					$('#lek-page-wrapper').append($(document.createElement('p')).html("<strong>Producent:</strong>&nbsp;" + val.przedstawicielstwo));
	        					$('#lek-ceny-page-wrapper').append($(document.createElement('p')).html("<strong>Zawartość opakowania:</strong>&nbsp;" + val.opakowanie+'&nbsp;'+val.postac));
	        					$('#lek-ceny-page-wrapper').append($(document.createElement('table')));
	        					var i = 1;
	        					var index = "";
	        					var indexes = new Array;
	        					var tmp = new Array;
	        					var status = "";
	        					$.each(val.ceny, function(k,v){
	        						if(v.choroba==null || v.choroba==""){
	        							index = "";
	        						} else {
	        							index = "<strong>"+i+")</strong>";
	        							indexes[i] = v;
	        							i++;
	        						}
	        						status = '<a href="#status_laku_popup" data-rel="popup" data-inline="true" data-transition="pop" class="status-leku '+(val.status==null ? "" : "status-"+val.status.toLowerCase().replace('ś','s').replace('ż','z'))+'"></a>';
	        						$('#lek-ceny-page-wrapper table').append($(document.createElement('tr')).html('<td>'+status+'['+v.odplatnosc+']</td><td><strong>'+v.cena+'&nbsp;'+((v.odplatnosc=="B") ? '' : 'PLN')+'</strong>&nbsp;&nbsp;'+index+'</td>'));
	        					});        			
	        					$('#lek-ceny-page-wrapper table').append($(document.createElement('tr')).html('<td>&nbsp;</td><td>&nbsp;</td>'));
	        					var wskazania = "";
	        					$.each(indexes, function(k,v){
	        						if(v!=null){
	        							$('#lek-ceny-page-wrapper table').append($(document.createElement('tr')).html('<td colspan="2"><strong>'+k+') '+v.choroba+'</strong></td>'));
	        							wskazania = v.wskazania;
	        						}
	        					}); 
	        					$('#lek-ceny-page-wrapper table').append($(document.createElement('tr')).html('<td colspan="2"><strong>Wskazania pozarejestracyjne:</strong><br/>'+wskazania+'</td>'));
	        					$('#lek-page-wrapper').append($(document.createElement('p')).html(opis));
	        				});
        				}
        				try{
        					list.listview("refresh");
        				}catch(a){}
        				$.mobile.changePage("#lek-page", { transition: "slide"});
        			} else {
        				notify("Nie można załadować informacji o leku. Spróbuj ponownie","Błąd");
        			}
                },
                error: onError
            }).done(onDone);
		}
	});
	jQuery.extend({
		getLekiListBySubstanceCzynne: function(substanceCzynneId){
			if(substanceCzynneId!=993){
			    var newDate = new Date;
			    showLoading("Pobieranie leków");
		    	var url = 'http://lekseek.com/konsylium/api/?q=4&id=' + substanceCzynneId;
				$.ajax({
	                url: url,
	                cache: false,
	                dataType: "json",
					async: true,
					crossDomain: true,                    
	                success: function(data){
	        			if(data.err == 0){
	        				var list = $('#lek-zamienniki-page-wrapper ul.leki-zamienniki-list ');
	        				if(data.grupylekow.length!=0){
		        				$.each(data.grupylekow, function(key,val){
		        					$.each(val, function(k,v){
		        						list.append($(document.createElement('li')).html('<a grupaLekowId="'+k+'">'+v+'</a>').attr('grupaLekowId',k).addClass("element").attr('data-theme','d'));
		        					});
		        				});
	        				}
	        				try{
	        					list.listview("refresh");
	        				}catch(a){}
	        			} else {
	        				notify("Nie można załadować informacji o lekach. Spróbuj ponownie","Błąd");
	        			}
	                },
	                error: onError
	            }).done(onDone);
			} 
		}
	});			
});