$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	
	jQuery.extend({
		getMailboxList: function(token, id, filtr, offset){
			showLoading("Pobieranie wiadomości");
			filtr = filtr || "recive";
			if(offset==0){
				var newDate = new Date;
			    switch(filtr){
			    case "recive":
			    	window.localStorage.setItem("mailboxReciveUpdateDate",newDate.getTime());
			    	break;
			    case "send":
			    	window.localStorage.setItem("mailboxSendUpdateDate",newDate.getTime());
			    	break;	
			    default:
			    	window.localStorage.setItem("mailboxReciveUpdateDate",newDate.getTime());
			    }
			}
		    switch(filtr){
		    case "recive":
		    	var url = 'https://konsylium24.pl/mobileapi/mailbox_recive?token=' + token + '&id=' + id + '&api_key=' + api_key + '&offset=' +offset + '&ud='+window.localStorage.getItem("mailboxReciveUpdateDate");
		    	target = "#mailbox-recive-wrapper ul.mailbox-recive-list";
		    	break;
		    case "send":
		    	var url = 'https://konsylium24.pl/mobileapi/mailbox_send?token=' + token + '&id=' + id + '&api_key=' + api_key + '&offset=' +offset+ '&ud='+window.localStorage.getItem("mailboxSendUpdateDate");
		    	target = "#mailbox-send-wrapper ul.mailbox-send-list";
		    	break;
		    default:
		    	var url = 'https://konsylium24.pl/mobileapi/mailbox_recive?token=' + token + '&id=' + id + '&api_key=' + api_key + '&offset=' +offset+ '&ud='+window.localStorage.getItem("mailboxReciveUpdateDate");
			    target = "#mailbox-recive-wrapper ul.mailbox-recive-list";
		    }
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
        			if(data.err == 0){
        				var list = $(target);
        				if (offset == 0) {
        					list.html("");
        				}
        				if(data.messages.length==0){
        					$('#more-mailbox-recive-container').hide();
        					$('#more-mailbox-send-container').hide();
        				} else {
        					$('#more-mailbox-recive-container').show();
        					$('#more-mailbox-send-container').show();
	        				$.each(data.messages, function(key,val){
	        					if(val.nowy){
	        						list.append($(document.createElement('li')).html('<a class="message"><p class="title"><strong>' + jQuery.truncate(val.temat) + '</strong></p><p class="gray">' + val.autor + ', ' + val.data + '</p><p>' + jQuery.truncate(val.tresc) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','message_'+val.id).attr('commentId',val.id));
	        					} else {
	        						list.append($(document.createElement('li')).html('<a class="message"><p class="title">' + jQuery.truncate(val.temat) + '</p><p class="gray">' + val.autor + ', ' + val.data + '</p><p>' + jQuery.truncate(val.tresc) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','message_'+val.id).attr('commentId',val.id));
	        					}
	        				});
        				}
        				try{
        					list.listview("refresh");
        				}catch(a){}
        			    switch(filtr){
        			    case "recive":      
        			    	$('#more-mailbox-recive').attr('offset',parseInt($('#more-mailbox-recive').attr('offset'))+data.messages.length);
        			    	$.mobile.changePage("#mailbox-recive");
        			    	break;
        			    case "send":   
        			    	$('#more-mailbox-send').attr('offset',parseInt($('#more-mailbox-send').attr('offset'))+data.messages.length);
        			    	$.mobile.changePage("#mailbox-send");
        			    	break;
        			    default:
        			    	$('#more-mailbox-recive').attr('offset',parseInt($('#more-mailbox-recive').attr('offset'))+data.messages.length);
        			    	$.mobile.changePage("#mailbox-recive");
        			    }
        			} else {
        				onError(data);
        			}
                },
                error: onError
            }).done(onDone);
		}
	});	
	
	jQuery.extend({
		updateMailboxList: function(token, id, offset){
			var newDate = new Date;
	    	
		    var url = 'https://konsylium24.pl/mobileapi/mailbox_check?token=' + token + '&id=' + id + '&api_key=' + api_key + '&offset=' +offset + '&ud='+window.localStorage.getItem("mailboxReciveUpdateDate");
	    	target = "#mailbox-recive-wrapper ul.mailbox-recive-list";
	    	
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
        			if(data.err == 0){
        				var list = $(target);
        				$.each(data.messages, function(key,val){
    						list.prepend($(document.createElement('li')).html('<a class="message"><p class="title"><strong>' + jQuery.truncate(val.temat) + '</strong></p><p class="gray">' + val.autor + ', ' + val.data + '</p><p>' + jQuery.truncate(val.tresc) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','message_'+val.id).attr('commentId',val.id));
        				});
        				try{
        					list.listview("refresh");
        					navigator.notification.beep(1);
        				}catch(a){}
    			    	$('#more-mailbox-recive').attr('offset',parseInt($('#more-mailbox-recive').attr('offset'))+data.messages.length);
    			    	window.localStorage.setItem("mailboxReciveUpdateDate",newDate.getTime());
        			} else if(data.err==1) {
        				onError(data);
        			}
                },
                error: onError
            });
		}
	});		
	
	jQuery.extend({
		sendMessage: function(token, id){
			showLoading("Wysyłanie wiadomości");		
		    var url = 'https://konsylium24.pl/mobileapi/send_message?token=' + token + '&id=' + id + '&api_key=' + api_key;
		    var imageURI = $('#send-msg-image').attr('src');
		    
            var options = new FileUploadOptions();
            options.fileKey="file";
            options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
            options.mimeType="image/jpeg";
            options.chunkedMode = false;		    

            var params = new Object();
            params.title = $('#send-msg-title').val();
            params.content = $('#send-msg-content').val();
            params.reciever = $('#send-msg-usr').val();
            
            options.params = params;

            var ft = new FileTransfer();
            try{
            	if(imageURI.length==0 || imageURI=="" || imageURI==false || imageURI=="false"){
            		throw new Error("Image empty");
            	}
	            ft.upload(imageURI, url, function(data){
	            	d = JSON.parse(data.response);
	            	if(parseInt(d.err)==0){
	            		var list = $('#mailbox-send-wrapper ul.mailbox-send-list');
	            		list.prepend($(document.createElement('li')).html('<a class="message"><p class="title">' + jQuery.truncate($('#send-msg-title').val()) + '</p><p class="gray">' + d.autor + ', ' + d.created_at + '</p><p>' + jQuery.truncate($('#send-msg-content').val()) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','message_'+d.id).attr('commentId',d.id));
	            		$('#send-msg-title').val("");
	            		$('#send-msg-content').val("");
	            		$('#send-msg-usr').val("");
	            		$('#send-msg-image').hide().attr("src","")
	            		try{
	    					list.listview("refresh");
	    				}catch(a){}     
	    				$.mobile.changePage("#mailbox-send", { transition: "slide"});
	            	} else {
	            		onError(d);
	            	}
	            	hideLoading();
	            }, fail,options);
            } catch(e){
                $.ajax({
                    url: url,
                    cache: false,
                    dataType: "json",
    				async: true,
    				crossDomain: true,  
    				data: params,
                    success: function(data){
                    	if(parseInt(data.err)==0){
                    		var list = $('#mailbox-send-wrapper ul.mailbox-send-list');
                    		list.prepend($(document.createElement('li')).html('<a class="message"><p class="title">' + jQuery.truncate($('#send-msg-title').val()) + '</p><p class="gray">' + data.autor + ', ' + data.created_at + '</p><p>' + jQuery.truncate($('#send-msg-content').val()) + '</p></a>').addClass("element").attr('data-theme','d').attr('id','message_'+data.id).attr('commentId',data.id));
                    		$('#send-msg-title').val("");
                    		$('#send-msg-content').val("");
                    		$('#send-msg-usr').val("");
                    		$('#send-msg-image').hide().attr("src","")
                    		try{
            					list.listview("refresh");
            				}catch(a){}            	
            				$.mobile.changePage("#mailbox-send", { transition: "slide"});
                    	} else {
                    		onError(data);
                    	}
                    },
                    error: onError
                }).done(onDone);
            }
		}
	});
	jQuery.extend({
		showMessage: function(token, id, message){
			showLoading("Pobieranie wiadomości");
		    var url = 'https://konsylium24.pl/mobileapi/get_message?token=' + token + '&id=' + id + '&api_key=' + api_key + '&message=' + message;
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
                	var list = $('#message');
                	list.html("");
                	var content = data.message.content;
                	list.append($(document.createElement('li')).html('<p class="title">' + data.message.title + '</p><p class="gray">' + data.message.autor + ', ' + data.message.data + '</p><p id="message-content">' + content.replace(/\n/g, "<br />") + '</p>').addClass("element").attr('data-theme','d'));
                	window.localStorage.setItem("lastMessageId",data.message.id);
                	$('#message_'+data.message.id+' strong').css('font-weight','normal');
                	$('#message-photos').html("");
    				$.each(data.message.photos, function(key,val){
    					$('#message-photos').append('<img src="http://konsylium24.pl' + val.public_filename + '" alt="' + val.filename + '" />');
    				});      
    				$.each(data.message.files, function(key,val){
    					$('#message-files').append('<a class="attachment" href="http://konsylium24.pl' + val.public_filename + '">' + val.filename + '</a><br/>');
    				});      
    				if(data.message.type=='send'){
    					$('#mailbox-message-menu #mailbox-message-menu-odpowiedz').addClass('ui-disabled').attr('disable','1');
    					$('#mailbox-message-menu #mailbox-message-menu-przeslij').addClass('ui-disabled').attr('disable','1');
    				} else {
    					$('#mailbox-message-menu #mailbox-message-menu-odpowiedz').removeClass('ui-disabled').attr('disable','');
    					$('#mailbox-message-menu #mailbox-message-menu-przeslij').removeClass('ui-disabled').attr('disable','');
    				}
					try{
						list.listview("refresh");			
					} catch(e){}                	
                	$.mobile.changePage("#mailbox-message", { transition: "slide"});
                },
                error: onError
            }).done(onDone);
		}
	});
	jQuery.extend({
		removeMessage: function(token, id, message){
			showLoading("Usuwanie wiadomości");
		    var url = 'https://konsylium24.pl/mobileapi/remove_message?token=' + token + '&id=' + id + '&api_key=' + api_key + '&message=' + message;
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,                    
                success: function(data){
                	if (data.err==0) {
                		$('#message_' + data.id).remove();
                		try{
        					list.listview("refresh");
        				}catch(a){}                  		
                		if(data.type=='send'){
                			$.mobile.changePage("#mailbox-send", { transition: "slide"});
                		} else {
                			$.mobile.changePage("#mailbox-recive", { transition: "slide"});
                		}
                	} else {
                		onError(data)
                	}
                },
                error: onError
            }).done(onDone);            
		}
	});
	jQuery.extend({
		getRepMessage: function(token, id, message, rep){
			showLoading("");
			fwd = (rep=="fwd") ? ('&fwd=ok') : ""
			var url = 'https://konsylium24.pl/mobileapi/get_rep?token=' + token + '&id=' + id + '&api_key=' + api_key + '&message=' + message + fwd;
			$.ajax({
				url: url,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,                    
				success: function(data){
					if (data.err==0) {
						$('#send-msg-usr').val("");
						$('#send-msg-title').val("");
						$('#send-msg-content').val("");
						$('#send-msg-usr').val(data.login);
						$('#send-msg-title').val(data.title);
						$('#send-msg-content').val(data.content);
						$("#send-msg-content").keyup();
						$.mobile.changePage("#mailbox-send-msg", { transition: "slide"});
					} else {
						onError(data)
					}
				},
				error: onError
			}).done(onDone);            
		}
	});
});