$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	jQuery.extend({
		getSonda: function(token, id){
			showLoading("Pobieranie sondy");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/get_sonda?token=' + token + '&id=' + id + '&api_key=' + api_key + '&post=' + window.localStorage.getItem("lastPostId");
			$.ajax({
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "GET",
				success: function(data){
					if(data.err == 0){	
						$('#sonda-page-wrapper h2, #sonda-wyniki-page-wrapper h2').html(data.pytanie);
						if(data.wypelniono==0){
							var radios = $('#radios_answer_id');
							radios.html("");
							$.each(data.answers, function(key,val){
								$.each(val, function(k,v){
									radios.append($(document.createElement('label')).html(v.odpowiedz).attr('for','answer_id_'+v.id));
									radios.append($(document.createElement('input')).val(v.id).attr('type','radio').attr('name','answer_id').attr('id','answer_id_'+v.id));
								});
							});
							try{
								$('#radios_answer_id').controlgroup('refresh',true);
							}catch(e){}						
							$('#radios_answer_id').trigger("create");
							$.mobile.changePage("#sonda-page", { transition: "slide"});
						}else{
							$('#sonda-wyniki-page-wrapper .info-red').hide();
							$('#sonda-wyniki-page-wrapper .info-green').show();
							$('#sonda-wyniki-page-wrapper .sonda-answers').html(data.answers_results);
							$.mobile.changePage("#sonda-wyniki-page", { transition: "slide"});
						}
					} else {
						onError(data);
					}		
				}, 
				error: onError
			}).done(onDone);
		}
	});
	jQuery.extend({
		voteSonda: function(token, id, answer){
			showLoading("");
			var scriptUrl = 'http://konsylium24.pl/mobileapi/vote_sonda?token=' + token + '&id=' + id + '&api_key=' + api_key + '&post=' + window.localStorage.getItem("lastPostId") + '&answer_id=' + answer;
			$.ajax({
				url: scriptUrl,
				cache: false,
				dataType: "json",
				async: true,
				crossDomain: true,    
				type: "GET",
				success: function(data){	
					if(data.err == 0){		
						$('#sonda-page-wrapper h2, #sonda-wyniki-page-wrapper h2').html(data.pytanie);
						$('#sonda-wyniki-page-wrapper .info-red').show();
						$('#sonda-wyniki-page-wrapper .info-green').hide();
						$('#sonda-wyniki-page-wrapper .sonda-answers').html(data.answers_results);
						$('#refundacja-post-page .post_pool strong').html("Sprawdź wyniki sondy &raquo;");
						$.mobile.changePage("#sonda-wyniki-page", { transition: "slide"});
					} else {
						onError(data);
					}		
				}, 
				error: onError
			}).done(onDone);			
		}
	});
});