$(document).on("click",'.ui-grid-c #te-wyszukiwarka',function(){
	$.mobile.changePage("#te-wyszukiwarka-page", { transition: "slide"});
});

$(document).on("click",'.ui-grid-c #te-pes',function(){
	$.mobile.changePage("#te-test-pes-page", { transition: "slide"});
});

$(document).on("click",'.ui-grid-c #te-lek',function(){
	$.mobile.changePage("#te-test-lek-page", { transition: "slide"});
});

$(document).on("click",'#te-wyszukiwarka-page-wrapper #te-wyszukiwarka-next',function(){
	switch($('#te-wyszukiwarka-page-wrapper input[type=radio]:checked').val())
	{
	case "1":
		$.mobile.changePage("#te-test-lek-page", { transition: "slide"});
		break;
	case "2":
		$.mobile.changePage("#te-test-ldek-page", { transition: "slide"});
		break;
	case "3":
		$.mobile.changePage("#te-test-pes-page", { transition: "slide"});
		break;
	case "4":
		$.mobile.changePage("#te-test-all-page", { transition: "slide"});
		break;
	default:
		notify("Wybierz rodzaj testu","Info");
	}
});

$(document).on("click",'.ui-grid-c #te-pytanie-dnia',function(){
	if(window.localStorage.setItem("pytanie_dnia_odpowiedzial",false)){
		$.mobile.changePage("#te-pytanie-dnia-odpowiedzial-page", { transition: "slide",reverse: true});
	}else{
		$.mobile.changePage("#te-pytanie-dnia-page", { transition: "slide",reverse: true});
	}
});

$(document).on("click",'#pytanie_dnia_odpowiedz',function(){
	var checkedPytanieDnia = $('#te-pytanie-dnia-page-wrapper input[name=pytanie_dnia_answer_id]:checked').val();
	checkedPytanieDnia = checkedPytanieDnia || 0;
	jQuery.getPytanieDnia(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),checkedPytanieDnia);
});

$(document).on("change",'#te-test-lek-page-wrapper input[name=lek-type]:radio',function(e){
	if($(this).is(':checked')){
		if($('#te-test-lek-page-wrapper input[type=radio]:checked').val()==1){
			if($('#te-test-lek-page-wrapper select.lek_select_sesja option').length==0){
				jQuery.setSesjaSelect("lek",true);
			} else {
				jQuery.setSesjaSelect("lek");
			}
		} else if($('#te-test-lek-page-wrapper input[type=radio]:checked').val()==2){
			if($('#te-test-lek-page-wrapper select.lek_select_zagadnienia option').length==0){
				jQuery.setDziedzinaSelect("lek",true);
			} else {
				jQuery.setDziedzinaSelect("lek");
			}
		} else {
			$('#lek_select_sesja_wrapper').hide();
			$('#lek_select_dziedzina_wrapper').hide();
		}
	}
});

$(document).on("change",'#te-test-all-page-wrapper input[name=all-type]:radio',function(e){
	if($(this).is(':checked')){
		if($('#te-test-all-page-wrapper input[type=radio]:checked').val()==1){
			if($('#te-test-all-page-wrapper select#all_select_spec option').length==0){
				jQuery.setAllSpecSelect("all",true);
			} else {
				jQuery.setAllSpecSelect("all");
			}
		} else {
			$('#all_select_spec_wrapper').hide();
		}
	}
});

$(document).on("change",'#te-test-ldek-page-wrapper input[name=ldek-type]:radio',function(e){
	if($(this).is(':checked')){
		if($('#te-test-ldek-page-wrapper input[type=radio]:checked').val()==1){
			if($('#te-test-ldek-page-wrapper select.ldek_select_sesja option').length==0){
				jQuery.setSesjaSelect("ldek",true);
			} else {
				jQuery.setSesjaSelect("ldek");
			}
		} else if($('#te-test-ldek-page-wrapper input[type=radio]:checked').val()==2){
			if($('#te-test-ldek-page-wrapper select.ldek_select_zagadnienia option').length==0){
				jQuery.setDziedzinaSelect("ldek",true);
			} else {
				jQuery.setDziedzinaSelect("ldek");
			}
		} else {
			$('#ldek_select_sesja_wrapper').hide();
			$('#ldek_select_dziedzina_wrapper').hide();
		}
	}
});

$(document).on("pagebeforeshow",'#te-test-pes-page',function(event){
	if($('#te-test-pes-page-wrapper select#pes_select_spec option').length==0){
		jQuery.setPesSpecSelect('pes',true);
	}
});

$(document).on("pagebeforeshow",'#te-test-all-page',function(event){
	if($('#te-test-all-page-wrapper select#all_select_spec option').length==0){
		jQuery.setAllSpecSelect('all',true);
		$('#all_select_spec_wrapper').hide();
	}
});

$(document).on("click",'#te-test-lek-page .start-lek-test',function(event){
	jQuery.generujTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),1);
});

$(document).on("click",'#te-test-ldek-page .start-ldek-test',function(event){
	jQuery.generujTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),2);
});

$(document).on("click",'#te-test-pes-page .start-pes-test',function(event){
	jQuery.generujTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),3);
});

$(document).on("click",'#te-test-all-page .start-all-test',function(event){
	jQuery.generujTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),5);
});

$(document).on("click",'#te-post-page #te_post_odpowiedz',function(event){
	if($('#te-post-page-wrapper input[name=te_post_answer_id]:checked').length>0){
		jQuery.testAnswer(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),$('#te-post-page-wrapper input[name=te_post_answer_id]:checked').val());
	} else {
		notify("Aby przejść dalej musisz zaznaczyć odpowiedź.","Info");
	}
});

$(document).on("click",'#te-post-odpowiedz-page #te_post_next',function(event){
	jQuery.nextTePost(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
});

$(document).on("click",'#lek-continue-last-test',function(){
	jQuery.continueLastTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),1);
});

$(document).on("click",'#ldek-continue-last-test',function(){
	jQuery.continueLastTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),2);
});

$(document).on("click",'#pes-continue-last-test',function(){
	jQuery.continueLastTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),3);
});

$(document).on("click",'#all-continue-last-test',function(){
	jQuery.continueLastTest(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),5);
});

$(document).on("click",'#te_post_podsumowanie',function(){
	jQuery.getSummary(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"));
});

$(document).on("click",'ul#te-pytanie-dnia-comments li.element',function(){
	// $('ul#te-pytanie-dnia-comments .comment-menu').remove();
	// if($(this).find('.newcomment').length && $(this).attr('commentId')!=$('ul#te-pytanie-dnia-comments li.nowy').last().attr('commentId')){
	// 	if ($(this).attr('u')==1) {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-b"><div class="ui-block-a" style="width: 45%;"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b" style="width: 40%;"></div><div class="ui-block-c" style="width: 15%;"><img class="nextcomment" src="css/images/next-comment.png" /></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	} else {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-b"><div class="ui-block-a" style="width: 45%;"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b" style="width: 40%;"><div class="uzupelnij" commentId="' + $(this).attr('commentId') + '"><img src="css/images/pencil.png" />Uzupełnij</div></div><div class="ui-block-c" style="width: 15%;"><img class="nextcomment" src="css/images/next-comment.png" /></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	}
	// 	if($('#comment_'+$(this).attr('commentId')+'_poparcia_val').html()!="brak"){
	// 		$('#comment_'+$(this).attr('commentId')+'_poparcia').html("Poparcie od: "+$('#comment_'+$(this).attr('commentId')+'_poparcia_val').html());
	// 		$('.comment_poparcia').show();
	// 	}
	// }else{
	// 	if ($(this).attr('u')==1) {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-a"><div class="ui-block-a"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b"></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	} else {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-a"><div class="ui-block-a"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b"><div class="uzupelnij" commentId="' + $(this).attr('commentId') + '"><img src="css/images/pencil.png" />Uzupełnij</div></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	}
	// 	if($('#comment_'+$(this).attr('commentId')+'_poparcia_val').html()!="brak"){
	// 		$('#comment_'+$(this).attr('commentId')+'_poparcia').html("Poparcie od: "+$('#comment_'+$(this).attr('commentId')+'_poparcia_val').html());
	// 		$('.comment_poparcia').show();
	// 	}
	// }
	// try{
	// 	$('ul#te-pytanie-dnia-comments').listview('refresh');
	// }catch(e){}
});

$(document).on("click",'ul#te-post-comments li.element',function(){
	// $('ul#te-post-comments .comment-menu').remove();
	// if($(this).find('.newcomment').length && $(this).attr('commentId')!=$('ul#te-post-comments li.nowy').last().attr('commentId')){
	// 	if ($(this).attr('u')==1) {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-b"><div class="ui-block-a" style="width: 45%;"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b" style="width: 40%;"></div><div class="ui-block-c" style="width: 15%;"><img class="nextcomment" src="css/images/next-comment.png" /></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	} else {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-b"><div class="ui-block-a" style="width: 45%;"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b" style="width: 40%;"><div class="uzupelnij" commentId="' + $(this).attr('commentId') + '"><img src="css/images/pencil.png" />Uzupełnij</div></div><div class="ui-block-c" style="width: 15%;"><img class="nextcomment" src="css/images/next-comment.png" /></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	}
	// 	if($('#comment_'+$(this).attr('commentId')+'_poparcia_val').html()!="brak"){
	// 		$('#comment_'+$(this).attr('commentId')+'_poparcia').html("Poparcie od: "+$('#comment_'+$(this).attr('commentId')+'_poparcia_val').html());
	// 		$('.comment_poparcia').show();
	// 	}
	// }else{
	// 	if ($(this).attr('u')==1) {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-a"><div class="ui-block-a"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b"></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	} else {
	// 		$(this).after($(document.createElement('li')).html('<div class="ui-grid-a"><div class="ui-block-a"><div class="poprzyj" commentId="' + $(this).attr('commentId') + '"><img src="css/images/hand.png" />Poprzyj</div></div><div class="ui-block-b"><div class="uzupelnij" commentId="' + $(this).attr('commentId') + '"><img src="css/images/pencil.png" />Uzupełnij</div></div></div><div style="display: none;" class="comment_poparcia" id="comment_' + $(this).attr('commentId') + '_poparcia"></div>').attr('data-theme','a').addClass('comment-menu'));
	// 	}
	// 	if($('#comment_'+$(this).attr('commentId')+'_poparcia_val').html()!="brak"){
	// 		$('#comment_'+$(this).attr('commentId')+'_poparcia').html("Poparcie od: "+$('#comment_'+$(this).attr('commentId')+'_poparcia_val').html());
	// 		$('.comment_poparcia').show();
	// 	}
	// }
	// try{
	// 	$('ul#te-post-comments').listview('refresh');
	// }catch(e){}
});

$(document).on("click",'#add-te-pytanie-dnia-comment',function(){
	
});

$(document).on("click",'ul#te-pytanie-dnia-comments li.comment-menu .poprzyj',function(){
	var commentId = $(this).attr('commentId');
	showConfirm("Czy napewno chcesz poprzeć komentarz użytkownika?",function(button){
		if(parseInt(button)==2){
			jQuery.voteComment(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),'#te-pytanie-dnia-odpowiedz-page', commentId);
		}
	});
});

$(document).on("click",'ul#te-post-comments li.comment-menu .poprzyj',function(){
	var commentId = $(this).attr('commentId');
	showConfirm("Czy napewno chcesz poprzeć komentarz użytkownika?",function(button){
		if(parseInt(button)==2){
			jQuery.voteComment(window.localStorage.getItem("authtoken"),window.localStorage.getItem("id"),'#te-post-odpowiedz-page', commentId);
		}
	});
});