$( function() {
	var api_key = "9b66acc51f575122c03fae268760391d";
	
	jQuery.extend({
		getWorkPosts: function(token, id, lsp, offset, search){
			showLoading("Pobieranie ofert pracy");
			search = search || false;
			if(offset==0){
				var newDate = new Date;
		    	window.localStorage.setItem("workPostsUpdateDate",newDate.getTime());
			}
            var params = new Object();
			if(offset==0){
				lsp = lsp || 0;
	            if(search){
		            params.wp_spec = $('#work-select-spec').val();
		            params.wp_updated_at = $('#work-select-date').val();
		            params.wp_description = $('#work-nazwa').val();
		            params.wp_region = $('#work-select-region').val();
	            }				
				window.localStorage.setItem("workPostsListLsp",lsp);
				window.localStorage.setItem("workPostsListParams",params);
			}else{
				lsp = window.localStorage.getItem("workPostsListLsp");
				params = window.localStorage.getItem("workPostsListParams");				
			}            
			
			var url = 'https://konsylium24.pl/mobileapi/get_work_list?token=' + token + '&id=' + id + '&api_key=' + api_key + '&offset=' +offset + '&lsp=' + lsp + '&ud='+window.localStorage.getItem("workPostsUpdateDate");
			target = "#work-list-wrapper ul.work-list";
			
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,  
				data: params,
                success: function(data){
        			if(data.err == 0){
        				var list = $(target);
        				if (offset == 0) {
        					list.html("");
        					$('#more-work').attr('offset',0);
        				}
        				$.each(data.workposts, function(key,val){
    						list.append($(document.createElement('li')).html('<a class="message"><p class="title"><strong>' + jQuery.truncate(val.title) + '</strong></p><p class="gray">' + val.data + '</p><p>' + val.spec + '</p><p class="gray">' + val.region + '</p></a>').addClass("element").attr('data-theme','d').attr('id','work_post_'+val.id).attr('workPostId',val.id));
        				});
        				try{
        					list.listview("refresh");
        				}catch(a){}
    			    	$('#more-work').attr('offset',parseInt($('#more-work').attr('offset'))+data.workposts.length);
    			    	$.mobile.changePage("#work-list", { transition: "slide"});
        			} else {
        				onError(data);
        			}
                },
                error: onError
            }).done(onDone);
		}
	});
	
	jQuery.extend({
		getWorkPost: function(token, id, workpost){
			showLoading("Pobieranie ogłoszenia");
			var url = 'https://konsylium24.pl/mobileapi/get_work_post?token=' + token + '&id=' + id + '&api_key=' + api_key + '&work_post=' +workpost;
			target = "#work-post-wrapper ul.work-post";
			
            $.ajax({
                url: url,
                cache: false,
                dataType: "json",
				async: true,
				crossDomain: true,  
                success: function(data){
        			if(data.err == 0){
        				if(parseInt(data.workpost.lsp)==1){
        					$('#work-post .ui-block-b h1').html('Szukam pracy');
        				}else{
        					$('#work-post .ui-block-b h1').html('Oferta pracy');
        				}
        				var list = $(target);
    					list.html("");
    					emp = ((data.workpost.employer!=null) ? '<strong>Pracodawca:</strong> ' + data.workpost.employer + '</p><p>' : '')
						list.append($(document.createElement('li')).html('<p class="title"><strong>' + data.workpost.title + '</strong></p><br/><p>' + ((data.workpost.city!=null) ? '<strong>Miejsce pracy:</strong> ' + data.workpost.city + '</p><p>' : '') + '<strong>Region:<strong> ' + data.workpost.region + '</p><p><strong>Specjalizacja:</strong> ' + data.workpost.spec + '</p><p>'+emp+'</p><br/><p>'+data.workpost.content+'</p><br/><p><strong>Kontakt:</strong><br/>'+data.workpost.contact+'</p><br/><p class="info">W przypadku nawiązania kontaktu prosimy o powołanie się na serwis Konsylium24.pl </p><br/><p><strong>Data dodania ogłoszenia:</strong> '+data.workpost.date+'</p><p><strong>Ogłoszenie wygasa za:</strong> '+data.workpost.expire+'</p>').addClass("element workpost").attr('data-theme','d'));
        				try{
        					list.listview("refresh");
        				}catch(a){}
    			    	$.mobile.changePage("#work-post", { transition: "slide"});
        			} else {
        				onError(data);
        			}
                },
                error: onError
            }).done(onDone);			
		}
	});
});